#include "turnout.h"

Microcontroller *Turnout::micro = nullptr;

Turnout::Turnout(uint8_t id, uint8_t address, uint8_t subaddress, int8_t initalValue)
	: Item(address | (subaddress << 8), QString("Turnout ")+QString::number(id), initalValue),
	  subaddress_(subaddress), turnoutId_(id)
{
    itemId_ = address | (subaddress << 8);
    name_ = QString("Turnout ")+QString::number(id);
}

void Turnout::setValue(int8_t value)
{
    Item::setValue(value);
    if(micro)
		micro->tunoutSetDirection(turnoutId_, value > 0);
}
